import { Component,OnInit } from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent, IonButton,IonIcon } from '@ionic/angular/standalone';
import { AgentTaskStep } from 'src/agent/agent.task';
import { addIcons } from 'ionicons';
import { radioButtonOffOutline, reloadOutline, checkmarkCircleOutline, closeCircleOutline } from 'ionicons/icons';
import { startTask } from 'src/agent/agent.start';
addIcons({radioButtonOffOutline,reloadOutline,checkmarkCircleOutline,closeCircleOutline})
@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  standalone: true,
  imports: [IonHeader, IonToolbar, IonTitle, IonContent, IonButton,
    IonIcon
  ],
})
export class Tab1Page  {


  constructor() {


  }

  taskList:AgentTaskStep[] = []

  wait(duration:number=1000){
    return new Promise(resolve=>{
      setTimeout(() => {
          resolve(true)
      }, duration);
    })
  }

  shareData:any = {}

  doPoemTask(){
    let task1 = new AgentTaskStep({title:"意境分析",shareData:this.shareData})
    task1.handle = async ()=>{
      await this.wait(1000)
      console.log("意境分析:执行过程")
      task1.progress = 1
    }
    let task2 = new AgentTaskStep({title:"意境绘制",shareData:this.shareData})
    task2.handle = async ()=>{
      await this.wait(1000)
      console.log("意境绘制:执行过程")
      task2.progress = 1
    }
    
    // 定义任务集
    let PoemTaskList = [task1,task2]
    // 传递给显示组件
    this.taskList = PoemTaskList
    // 开始执行任务
    startTask(PoemTaskList)
  }

  doInqueryTask(){
    let task1 = new AgentTaskStep({title:"导诊",shareData:this.shareData})
    task1.handle = async ()=>{
      await this.wait(1000)
      console.log("导诊:执行过程")
      task1.progress = 1
    }
    let task2 = new AgentTaskStep({title:"问诊",shareData:this.shareData})
    task2.handle = async ()=>{
      await this.wait(1000)
      console.log("问诊:执行过程")
      task2.progress = 1
    }
    let task3 = new AgentTaskStep({title:"初诊",shareData:this.shareData})
    task3.handle = async ()=>{
      await this.wait(1000)
      console.log("初诊:执行过程")
      task3.progress = 1
    }
    let task4 = new AgentTaskStep({title:"检验",shareData:this.shareData})
    task4.handle = async ()=>{
      await this.wait(1000)
      console.log("检验:执行过程")
      task4.progress = 1
    }
    let task5 = new AgentTaskStep({title:"处方",shareData:this.shareData})
    task5.handle = async ()=>{
      console.log("处方:执行过程")
      task5.progress = 1
    }

    // 定义任务集
    let InquireServiceTaskList = [task1,task2,task3,task4,task5]
    // 传递给显示组件
    this.taskList = InquireServiceTaskList
    // 开始执行任务
    startTask(InquireServiceTaskList)
  }




}
